Skip to main content
POST
https://{tenantDomain}/api/v2
/
guardian
/
enrollments
/
ticket
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Guardian;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Enrollments.CreateTicketAsync(
            new CreateGuardianEnrollmentTicketRequestContent {
                UserId = "user_id"
            }
        );
    }

}
{
  "ticket_id": "u2x2-u2x2-u2x2-u2x2-u2x2-u2x2",
  "ticket_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

auth0-custom-domain
string

Custom domain to be used for this request

Required string length: 3 - 255

Body

user_id
string<user-id>
required

user_id for the enrollment ticket

email
string<email>

alternate email to which the enrollment email will be sent. Optional - by default, the email will be sent to the user's default address

send_mail
boolean

Send an email to the user to start the enrollment

email_locale
string

Optional. Specify the locale of the enrollment email. Used with send_email.

factor
enum<string>

Optional. Specifies which factor the user must enroll with.
Note: Parameter can only be used with Universal Login; it cannot be used with Classic Login or custom MFA pages.

Available options:
push-notification,
phone,
email,
otp,
webauthn-roaming,
webauthn-platform
allow_multiple_enrollments
boolean

Optional. Allows a user who has previously enrolled in MFA to enroll with additional factors.
Note: Parameter can only be used with Universal Login; it cannot be used with Classic Login or custom MFA pages.

Response

Enrollment ticket successfully created.

ticket_id
string
default:u2x2-u2x2-u2x2-u2x2-u2x2-u2x2

The ticket_id used to identify the enrollment

ticket_url
string<url>

The url you can use to start enrollment